com.amazonaws.services.cloudfront.model

## Class Signer

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.Signer

All Implemented Interfaces:
  Serializable, Cloneable

    public class Signer
    extends Object
    implements Serializable, Cloneable

A complex type that lists the AWS accounts that were included in the `TrustedSigners` complex type, as well as their active CloudFront key pair IDs, if any.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Signer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Signer` `clone()`
`boolean` `equals(Object obj)`
`String` `getAwsAccountNumber()` An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution.
`KeyPairIds` `getKeyPairIds()` A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.
`int` `hashCode()`
`void` `setAwsAccountNumber(String awsAccountNumber)` An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution.
`void` `setKeyPairIds(KeyPairIds keyPairIds)` A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Signer` `withAwsAccountNumber(String awsAccountNumber)` An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution.
`Signer` `withKeyPairIds(KeyPairIds keyPairIds)` A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Signer

    public Signer()

### Method Detail

#### setAwsAccountNumber

    public void setAwsAccountNumber(String awsAccountNumber)

An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution. Valid values include:

- `self`, which is the AWS account used to create the distribution.

- An AWS account number.

Parameters:
  `awsAccountNumber` - An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution. Valid values include:

  - `self`, which is the AWS account used to create the distribution.

  - An AWS account number.

#### getAwsAccountNumber

    public String getAwsAccountNumber()

An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution. Valid values include:

- `self`, which is the AWS account used to create the distribution.

- An AWS account number.

Returns:
  An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution. Valid values include:

  - `self`, which is the AWS account used to create the distribution.

  - An AWS account number.

#### withAwsAccountNumber

    public Signer withAwsAccountNumber(String awsAccountNumber)

An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution. Valid values include:

- `self`, which is the AWS account used to create the distribution.

- An AWS account number.

Parameters:
  `awsAccountNumber` - An AWS account that is included in the `TrustedSigners` complex type for this RTMP distribution. Valid values include:

  - `self`, which is the AWS account used to create the distribution.

  - An AWS account number.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setKeyPairIds

    public void setKeyPairIds(KeyPairIds keyPairIds)

A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.

Parameters:
  `keyPairIds` - A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.

#### getKeyPairIds

    public KeyPairIds getKeyPairIds()

A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.

Returns:
  A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.

#### withKeyPairIds

    public Signer withKeyPairIds(KeyPairIds keyPairIds)

A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.

Parameters:
  `keyPairIds` - A complex type that lists the active CloudFront key pairs, if any, that are associated with `AwsAccountNumber`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Signer clone()

Overrides:
  `clone` in class `Object`